# Uses of Interface
org.springframework.web.client.RestClient.RequestHeadersSpec.RequiredValueExchangeFunction

Packages that use RestClient.RequestHeadersSpec.RequiredValueExchangeFunction
Package
Description
org.springframework.web.client
Core package of the client-side web support.

## Uses of RestClient.RequestHeadersSpec.RequiredValueExchangeFunction in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type RestClient.RequestHeadersSpec.RequiredValueExchangeFunction
Modifier and Type
Method
Description
`default <T> T`
RestClient.RequestHeadersSpec.`exchangeForRequiredValue(RestClient.RequestHeadersSpec.RequiredValueExchangeFunction<T> exchangeFunction)`
Exchange the `ClientHttpResponse` for a value of type `T`.
`<T> T`
RestClient.RequestHeadersSpec.`exchangeForRequiredValue(RestClient.RequestHeadersSpec.RequiredValueExchangeFunction<T> exchangeFunction, boolean close)`
Exchange the `ClientHttpResponse` for a value of type `T`.